/*******************************************************************************
 * ZEInfoNode generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ZEInfoNode extends Actor
    placeable
    hidecategories(Navigation,Physics,Movement,Collision,Attachment);

var() float Radius;
var() string DebugString;
var() float DisplayTime;
var() float MinInterval;
var transient float LastActivatedTime;

simulated event PostBeginPlay()
{
    SetCollisionSize(Radius, CylinderComponent(CollisionComponent).CollisionHeight);
    //return;    
}

event Touch(Actor Other, PrimitiveComponent OtherComp, Vector HitLocation, Vector HitNormal)
{
    local GamePawn P;

    super.Touch(Other, OtherComp, HitLocation, HitNormal);
    P = GamePawn(Other);
    // End:0x1A3
    if((((P != none) && GamePlayerController(P.Controller) != none) && ZEGameHud(GamePlayerController(P.Controller).myHUD) != none) && WorldInfo.TimeSeconds > (LastActivatedTime + MinInterval))
    {
        LastActivatedTime = WorldInfo.TimeSeconds;
        ZEGameHud(GamePlayerController(P.Controller).myHUD).AddHUDMessage(DebugString, DisplayTime);
    }
    //return;    
}

event UnTouch(Actor Other)
{
    local GamePawn P;

    super.UnTouch(Other);
    P = GamePawn(Other);
    // End:0x189
    if(((((P != none) && GamePlayerController(P.Controller) != none) && ZEGameHud(GamePlayerController(P.Controller).myHUD) != none) && WorldInfo.TimeSeconds > (LastActivatedTime + MinInterval)) && DisplayTime == float(0))
    {
        LastActivatedTime = WorldInfo.TimeSeconds;
        ZEGameHud(GamePlayerController(P.Controller).myHUD).RemoveHUDMessage();
    }
    //return;    
}

defaultproperties
{
    Radius=100.0
    DebugString="Blank Message"
    MinInterval=0.20
    begin object name=Sprite class=SpriteComponent
        ReplacementPrimitive=none
    object end
    // Reference: SpriteComponent'Default__ZEInfoNode.Sprite'
    Components(0)=Sprite
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=100.0
        CollisionRadius=234.0
        ReplacementPrimitive=none
        CollideActors=true
        BlockZeroExtent=false
        Translation=(X=0.0,Y=0.0,Z=50.0)
    object end
    // Reference: CylinderComponent'Default__ZEInfoNode.CollisionCylinder'
    Components(1)=CollisionCylinder
    bNoDelete=true
    bCollideActors=true
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=100.0
        CollisionRadius=234.0
        ReplacementPrimitive=none
        CollideActors=true
        BlockZeroExtent=false
        Translation=(X=0.0,Y=0.0,Z=50.0)
    object end
    // Reference: CylinderComponent'Default__ZEInfoNode.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}